/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* settings_backup.htm */

var ie = (navigator.appName.indexOf ('Microsoft') != -1);
var ns = (navigator.appName.indexOf ('Netscape') != -1);
var nCells = 0;
var cellIdx = 0;
var tblObj = null;
var tdObjs = null;
var probableImageUploadTime = 1;	/* minutes */
var delay = 0;
var upgradeStarted = false;
var progressBgColor = "#40087F";
var timerId = null;
function percentValuesShow ()
	{
	tblProgress.className = "tblAnim";
  	tblObj = document.getElementById ('tblProgress');
  	tblObj.border = "1";
	if (ie)
		{
		nCells = (tblObj.cells).length;
		tblObj.cells[0].innerHTML = "1%";
		}
	else if (ns)
		{
		tdObjs = document.getElementsByName ('tblTdProgress');
		nCells = tdObjs.length;
		tdObjs[0].innerHTML = "1%";
		}
	var prcVal = 0;
	for (var i = 0; i < nCells; ++i)
		{
		if ((i+1)%5 == 0)
			{
			prcVal += 10;
			if (ie)
				tblObj.cells[i].innerHTML = (prcVal + "%");
			else if (ns)
				tdObjs [i].innerHTML = (prcVal + "%");
			}
		}
	return;
	}
function upgradeProgressShow (animationDelay)
	{
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Process is going on. Please wait...';
    var errMsgObjL10n = document.getElementById ('hd.processGoinon');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */
    	
    if (navigator.appName.indexOf ('Opera') != -1)
		{
		document.getElementById('divPBar').innerHTML = "<span class=\"help_txt0\"><b>"+ errMsgL10n1 +"</b></span>";
		return;
		}
	
	probableImageUploadTime = animationDelay;
	tblProgress.className = "tblAnim";
  	tblObj = document.getElementById ('tblProgress');
  	tblObj.border = "1";
	if (ie)
		{
		nCells = (tblObj.cells).length;
		tblObj.cells[0].bgColor = progressBgColor;
		}
	else if (ns)
		{
		tdObjs = document.getElementsByName ('tblTdProgress');
		nCells = tdObjs.length;
		tdObjs [0].bgColor = progressBgColor;
		}
	delay = (probableImageUploadTime * 1000) / nCells;
	++cellIdx;
	animationStart = true;
	timerId = setTimeout ("animationDisplay ()", delay);
	return;
	}
function animationDisplay ()
	{
	if (timerId)
		clearTimeout(timerId)
	if (cellIdx >= nCells) return;
	if (upgradeStarted == false) return;
	if (ie)
		tblObj.cells[cellIdx].bgColor = progressBgColor;
	else if (ns)
		tdObjs [cellIdx].bgColor = progressBgColor;
	++cellIdx;
	timerId = setTimeout ("animationDisplay ()", delay);
	}
function completeProgress ()
	{
	upgradeStarted = false;
	if (timerId)
		clearTimeout(timerId)
	while (cellIdx < nCells)
		{
		if (ie)
			tblObj.cells[cellIdx].bgColor = progressBgColor;
		else if (ns)
			tdObjs [cellIdx].bgColor = progressBgColor;
		++cellIdx;
		}
	return true;
	}
function uploadImage (animationDelay, fileId, errMsg, regErrMsg)
	{
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to upgrade firmware image. This may take a few minutes. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Interrupting the upload or powering off the system during the upload may damage the firmware.';
    var errMsgObjL10n = document.getElementById ('hd.upgradeImg');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.interrPowrOff');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

	if (upgradeStarted) return false;
	var fileObj = document.getElementById (fileId);
	if (!fileObj.value)
		{
		if (errMsg)
			alert (errMsg);
		return false;
		}
    
    var regObj = document.getElementById ('hd.regFlag');
    var region = parseInt (regObj.value, 10);
    if (region == 0)
        {
        if (regErrMsg)
            alert (regErrMsg);
        }
		
	var proceed = confirm (errMsgL10n1+'\n' +
						   errMsgL10n2, '');
	if (proceed)
		{
		menuDisable ();
		upgradeStarted = true;
		upgradeProgressShow (animationDelay);
		document.imageUpload.submit ();
		return true;
		}
	return false;
	}
	
function restoreSettingsFromFile (animationDelay, fileId, errMsg)
	{
	
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to restore saved settings from user-provided file. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Current configuration will be erased.';
    var errMsgObjL10n = document.getElementById ('hd.restoresavedSet');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.eraseCurConf');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

	if (upgradeStarted) return false;
	var fileObj = document.getElementById (fileId);
	if (!fileObj.value)
		{
		if (errMsg)
			alert (errMsg);
		return false;
		}
		
	var proceed = confirm (errMsgL10n1+'\n' + 
						   errMsgL10n2, '');
	if (proceed)
		{
		menuDisable ();		
		upgradeStarted = true;
		upgradeProgressShow (animationDelay);
		return true;
		}
	return false;
	}
function pageDisable ()
	{
	obj = document.getElementById ('btBackup');
	obj.onclick = function () {return false;};
	obj.className = "submit_dis submit3 bBackup";
	obj = document.getElementById ('btRestore');
	obj.onclick = function () {return false;};
	obj.className = "submit_dis submit3 bRestore";
	obj = document.getElementById ('btSetFactDefault');
	obj.onclick = function () {return false;};
	obj.className = "submit_dis submit3 bDefault";		
	obj = document.getElementById ('btUpload');
	obj.onclick = function () {return false;};
	obj.className = "submit_dis submit3 bUpload";
	obj = document.getElementById ('btReboot');
	obj.onclick = function () {return false;};
	obj.className = "submit_dis submit3 bReboot";
	}	
function menuDisable ()
	{
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'WARNING: The upgrade process takes a few minutes.';
    var errMsgL10n2 = 'Interrupting the upload or powering off the system during the upload may damage the firmware.';
    var errMsgL10n3 = 'Please wait until the upgrade process finishes before browsing any sites from your browser.';
    var errMsgObjL10n = document.getElementById ('hd.upgradeProcFwMin');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.interDamg');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.upgradeProcFin');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

	
	var anchorObjs = divTopMenu.getElementsByTagName ("a");
	var len = anchorObjs.length;
    for (i = 0; i < len; ++i)
        {
        anchorObjs [i].className = "menu2New";
        anchorObjs [i].onclick = function () {return false;};
        }
    lblWarning.innerHTML = errMsgL10n1+"<br>" + 	 
                           errMsgL10n2+"<br>" + 	 
                           errMsgL10n3; 	 
    pageDisable ();
    return;
	}	
	
function revertToDefaults (animationDelay)
	{
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to restore factory default settings. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Current configuration will be erased.';
    var errMsgObjL10n = document.getElementById ('hd.restoreFactDef');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.eraseCurConf');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */    
    
	var proceed = confirm (errMsgL10n1+'\n'+
						   errMsgL10n2, '');
	if (proceed)
		{
		menuDisable ();
		upgradeStarted = true;
		upgradeProgressShow (animationDelay);
		return true;
		}
	return false;
	}
function settingsPageInit ()
	{
    if (navigator.appName.indexOf ('Opera') != -1)
		document.getElementById('divPBar').innerHTML = "";
	
	var privObj = document.getElementById ('hdUserPriv');
	if (privObj.value == "1")
		{
		obj = document.getElementById ('btBackup');
		obj.onclick = function () {return false;};
		obj.className = "submit_dis submit3 bBackup";
		obj = document.getElementById ('btRestore');
		obj.onclick = function () {return false;};
		obj.className = "submit_dis submit3 bRestore";
		obj = document.getElementById ('btSetFactDefault');
		obj.onclick = function () {return false;};
		obj.className = "submit_dis submit3 bDefault";		
		obj = document.getElementById ('btUpload');
		obj.onclick = function () {return false;};
		obj.className = "submit_dis submit3 bUpload";		
		obj = document.getElementById ('btReboot');
		obj.onclick = function () {return false;};
		obj.className = "submit_dis submit3 bReboot";
		document.getElementById ('txtRestoreFile').disabled = true;
		document.getElementById ('txtUploadFile').disabled = true;
		document.getElementById ('rdbActivationPri').disabled = true;
		document.getElementById ('rdbActivatioSec').disabled = true;
		}
	}

function confirmReboot ()
    {
    var confirmMsg = "Are you sure you want to load this firmware version and reboot";
    var alertMsgObj = document.getElementById('hd.rebootDialog'); 
    if (alertMsgObj && alertMsgObj.value != '') confirmMsg = alertMsgObj.value;
    return confirm(confirmMsg);
    }
