/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_sslvpn_policies.htm */

function pageValidation ()
    {
      /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please enter a valid Policy name';
    var errMsgL10n2 = 'Please enter a valid Start Port number';
    var errMsgL10n3 = 'Please enter a valid End Port number';
    var errMsgL10n4 = 'Invalid IP Address.';
    var errMsgL10n5 = 'for octet';
    var errMsgL10n6 = 'Invalid IP subnet mask.'
    var errMsgL10n7 = 'Invalid Start Port number:';
    var errMsgL10n8 = 'Invalid End Port number:'
    var errMsgL10n9 = 'Start Port Number should not greater than End Port Number';    
    var errMsgObjL10n = document.getElementById ('hd.validPolName');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrvalStrtPrtSp');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrvalEndPrtSp');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpAddrSp');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateSp');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpSnmSp');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtPrtSp');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndPrtSp');
    if (errMsgObjL10n) errMsgL10n8= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.strtPrtGrtrEndPrt');
    if (errMsgObjL10n) errMsgL10n9= errMsgObjL10n.value;
    /* L10N Error Message Collection End */  
      
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtPolicyName,"+errMsgL10n1;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
	    return false;
    if (ipv4AddrOctetsValidate ('tblIPAdd', 'IP', false, true,
             errMsgL10n4, errMsgL10n5, true) == false)
        return false; 
    if (ipv4AddrOctetsValidate ('tblWi1IpSnetmask', 'SM', false, true,
             errMsgL10n6, errMsgL10n5, true) == false)
	    return false;
    var strPortObj = document.getElementById('txtStrPort');
    var endPortObj = document.getElementById('txtEndPort');
    if (!strPortObj.disabled && !endPortObj.disabled)
		{
		if (strPortObj.value != "" && numericValueRangeCheck (strPortObj, 1, "",1, 65535, true,errMsgL10n7, "") == false)
			return false;
		if (endPortObj.value != "" && numericValueRangeCheck (endPortObj, 1, "",1, 65535, true, errMsgL10n8, "") == false)
			return false;
	    if(strPortObj.value != "" &&
	   endPortObj.value != "" &&
	   parseInt (strPortObj.value, 10) > parseInt (endPortObj.value, 10))
			{
			alert (errMsgL10n9);
			return false;
			}
		}
    return true;
    }
function pageInit ()
{
	fieldStateChangeWr ('selGroup selUser','','','');
	fieldStateChangeWr ('selService','tblPortRange tblIPAdd tblWi1IpSnetmask','selDefinedResource','');
	setQueryType();
}

/* edit page */

function pageValidationEdit ()
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n4 = 'Invalid IP Address.';
    var errMsgL10n5 = 'for octet';
    var errMsgL10n6 = 'Invalid IP subnet mask.'
    var errMsgL10n7 = 'Invalid Start Port number:';
    var errMsgL10n8 = 'Invalid End Port number:'
    var errMsgL10n9 = 'Start Port Number should not greater than End Port Number'; 
    errMsgObjL10n = document.getElementById ('hd.invalIpAddrSp');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateSp');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpSnmSp');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtPrtSp');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndPrtSp');
    if (errMsgObjL10n) errMsgL10n8= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.strtPrtGrtrEndPrt');
    if (errMsgObjL10n) errMsgL10n9= errMsgObjL10n.value;
    /* L10N Error Message Collection End */ 
    
    if (ipv4AddrOctetsValidate ('tblIPAdd', 'IP', false, true,
             errMsgL10n4, errMsgL10n5, true) == false)
        return false; 
    if (ipv4AddrOctetsValidate ('tblWi1IpSnetmask', 'SM', false, true,
            errMsgL10n6, errMsgL10n5, true) == false)
	    return false;
    var strPortObj = document.getElementById('txtStrPort');
    var endPortObj = document.getElementById('txtEndPort');
    if (strPortObj.disabled && endPortObj.disabled)
	    return true;
    if (strPortObj.value != "")
    {
	if (numericValueRangeCheck (strPortObj, 1, 
                            "",1, 65535, true,errMsgL10n7, "") == false)
        return false;
    }
    if (endPortObj.value != "")
    {
	if (numericValueRangeCheck (endPortObj, 1, 
                            "",1, 65535, true, errMsgL10n8, "") == false)
        return false;
    }
    if(strPortObj.value != "" && endPortObj.value != "")
    {
	    if(parseInt (strPortObj.value, 10) > parseInt (endPortObj.value, 10))
	    {
 	        alert (errMsgL10n9);
		return false;
	    }
    }
    return true;
    }

/* sslvpn_policies.htm */

function querySelection ()
	{
	depFieldCheck ('queryGlobal', true, 'selGroup selUser', '', '', '');
	depFieldCheck ('queryGlobal', false, '', '', 'selGroup selUser', '');
	}
function setDefault ()
	{
	var fldObj = document.getElementById('queryGlobal');
	if (!(fldObj.disable))
		querySelection ();
	setQueryType();
	}
